Get a card transaction
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"card": {
"id": "550e8400-e29b-41d4-a716-446655440002",
"name": "Jane Doe Card"
},
"user": {
"id": "507f1f77bcf86cd799439013",
"name": "Jane Doe"
},
"status": "<string>",
"amount": 123,
"currency": "<string>",
"merchantName": "<string>",
"authorizedAt": "<string>",
"issuerDispute": {
"id": "880e8400-e29b-41d4-a716-446655440099",
"transactionId": "770e8400-e29b-41d4-a716-446655440011",
"status": "pending",
"disputeAmount": 123,
"createdAt": "<string>",
"reviewedBy": "rain",
"disputeType": "fraud",
"disputeReasonCode": "emvLiabilityShiftCounterfeitFraud",
"textEvidence": "<string>",
"currency": "<string>",
"updatedAt": "<string>",
"resolvedAt": "<string>",
"filedWithNetworkAt": "<string>",
"hasFileEvidence": true,
"attachmentCount": 1
}
}Cards
Get a card transaction
Return one card transaction that belongs to your business. When a dispute was logged, the response includes issuerDispute, loaded from the card issuer.
GET
/
api
/
v1
/
cards
/
transactions
/
{transactionId}
Get a card transaction
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/transactions/{transactionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"card": {
"id": "550e8400-e29b-41d4-a716-446655440002",
"name": "Jane Doe Card"
},
"user": {
"id": "507f1f77bcf86cd799439013",
"name": "Jane Doe"
},
"status": "<string>",
"amount": 123,
"currency": "<string>",
"merchantName": "<string>",
"authorizedAt": "<string>",
"issuerDispute": {
"id": "880e8400-e29b-41d4-a716-446655440099",
"transactionId": "770e8400-e29b-41d4-a716-446655440011",
"status": "pending",
"disputeAmount": 123,
"createdAt": "<string>",
"reviewedBy": "rain",
"disputeType": "fraud",
"disputeReasonCode": "emvLiabilityShiftCounterfeitFraud",
"textEvidence": "<string>",
"currency": "<string>",
"updatedAt": "<string>",
"resolvedAt": "<string>",
"filedWithNetworkAt": "<string>",
"hasFileEvidence": true,
"attachmentCount": 1
}
}Authorizations
Bearer JWT issued to your business account during onboarding
Path Parameters
Response
200 - application/json